import javax.swing.*;

public class H4_Oefening3
{
  public static void main(String[] args)
  {
    String getalstr;
    int getal;
	int inti;
	int grootste;
	int opEenNaGrootste;

	grootste = 0;
	opEenNaGrootste = 0;
	inti = 0;

    while(inti < 10)
    {
       getalstr = JOptionPane.showInputDialog("Geef een getal: ");
       getal = Integer.parseInt(getalstr);

		if (getal > grootste)
		{
			opEenNaGrootste = grootste;
			grootste = getal;
		}
		else if (getal > opEenNaGrootste)
		{
			opEenNaGrootste = getal;
		}
		
		inti = inti + 1;
    }       

	JOptionPane.showMessageDialog(null,"Het op één na grootste getal is: " + opEenNaGrootste );
    JOptionPane.showMessageDialog(null,"Het grootste getal is: " + grootste);

	System.exit(0);
  }
}